---
search:
  tags:
    - Teams
    - GET
seo:
  description: >-
    Get a team's profile, members and solve history. Reference for the GET
    /api/admin/teams/{id} endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Get a team's profile, members and solve history
  badge: GET
title: Get a team's profile, members and solve history
type: openapi-operation
---
`GET /api/admin/teams/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "profile": {
    "id": "string",
    "name": "string",
    "handle": "string",
    "points": 0,
    "isImplicit": true,
    "isHidden": true,
    "leaderUserId": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "stats": {
    "solveCount": 0,
    "lastSolveAt": "2019-08-24T14:15:22Z",
    "memberCount": 0,
    "hintsUsed": 0,
    "instanceCount": 0
  },
  "scoreProgression": [
    {
      "date": "string",
      "points": 0
    }
  ],
  "categoryBreakdown": [
    {
      "name": "string",
      "value": 0
    }
  ],
  "difficultyBreakdown": [
    {
      "name": "string",
      "value": 0
    }
  ],
  "memberBreakdown": [
    {
      "name": "string",
      "value": 0
    }
  ],
  "members": [
    {
      "solveCount": 0,
      "pointsContributed": 0,
      "userId": "string",
      "name": "string",
      "username": "string",
      "role": "member",
      "joinedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "solves": [
    {
      "challengeId": "string",
      "title": "string",
      "category": "string",
      "difficulty": "string",
      "pointsEarned": 0,
      "bloodPosition": 0,
      "solvedAt": "2019-08-24T14:15:22Z",
      "solverId": "string",
      "solverName": "string",
      "solverUsername": "string"
    }
  ]
}
```
